prosody_0.9.10-1_amd64.deb


Advertisement

Description

prosody - Lightweight Jabber/XMPP server

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: prosody
Package version: 0.9.10
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 1.05 KB
Download size: 198.64 KB
Official Mirror: archive.ubuntu.com
Prosody IM is a simple-to-use XMPP server. It is designed to be easy to extend via plugins, and light on resources.

Alternatives

Provides

  • xmpp-server

    Download

    Source package: prosody

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install prosody deb package:
      # sudo apt-get install prosody

    Files

    • /etc/init.d/prosody
    • /etc/logrotate.d/prosody
    • /etc/prosody/README
    • /etc/prosody/migrator.cfg.lua
    • /etc/prosody/prosody.cfg.lua
    • /etc/prosody/certs/localhost.crt
    • /etc/prosody/certs/localhost.key
    • /etc/prosody/conf.avail/example.com.cfg.lua
    • /etc/prosody/conf.avail/localhost.cfg.lua
    • /usr/bin/ejabberd2prosody
    • /usr/bin/prosody
    • /usr/bin/prosody-migrator
    • /usr/bin/prosodyctl
    • /usr/lib/prosody/prosody.version
    • /usr/lib/prosody/core/certmanager.lua
    • /usr/lib/prosody/core/configmanager.lua
    • /usr/lib/prosody/core/hostmanager.lua
    • /usr/lib/prosody/core/loggingmanager.lua
    • /usr/lib/prosody/core/moduleapi.lua
    • /usr/lib/prosody/core/modulemanager.lua
    • /usr/lib/prosody/core/portmanager.lua
    • /usr/lib/prosody/core/rostermanager.lua
    • /usr/lib/prosody/core/s2smanager.lua
    • /usr/lib/prosody/core/sessionmanager.lua
    • /usr/lib/prosody/core/stanza_router.lua
    • /usr/lib/prosody/core/storagemanager.lua
    • /usr/lib/prosody/core/usermanager.lua
    • /usr/lib/prosody/migrator/jabberd14.lua
    • /usr/lib/prosody/migrator/mtools.lua
    • /usr/lib/prosody/migrator/prosody_files.lua
    • /usr/lib/prosody/migrator/prosody_sql.lua
    • /usr/lib/prosody/modules/mod_admin_adhoc.lua
    • /usr/lib/prosody/modules/mod_admin_telnet.lua
    • /usr/lib/prosody/modules/mod_announce.lua
    • /usr/lib/prosody/modules/mod_auth_anonymous.lua
    • /usr/lib/prosody/modules/mod_auth_cyrus.lua
    • /usr/lib/prosody/modules/mod_auth_internal_hashed.lua
    • /usr/lib/prosody/modules/mod_auth_internal_plain.lua
    • /usr/lib/prosody/modules/mod_bosh.lua
    • /usr/lib/prosody/modules/mod_c2s.lua
    • /usr/lib/prosody/modules/mod_component.lua
    • /usr/lib/prosody/modules/mod_compression.lua
    • /usr/lib/prosody/modules/mod_dialback.lua
    • /usr/lib/prosody/modules/mod_disco.lua
    • /usr/lib/prosody/modules/mod_groups.lua
    • /usr/lib/prosody/modules/mod_http.lua
    • /usr/lib/prosody/modules/mod_http_errors.lua
    • /usr/lib/prosody/modules/mod_http_files.lua
    • /usr/lib/prosody/modules/mod_iq.lua
    • /usr/lib/prosody/modules/mod_lastactivity.lua
    • /usr/lib/prosody/modules/mod_legacyauth.lua
    • /usr/lib/prosody/modules/mod_message.lua
    • /usr/lib/prosody/modules/mod_motd.lua
    • /usr/lib/prosody/modules/mod_net_multiplex.lua
    • /usr/lib/prosody/modules/mod_offline.lua
    • /usr/lib/prosody/modules/mod_pep.lua
    • /usr/lib/prosody/modules/mod_ping.lua
    • /usr/lib/prosody/modules/mod_posix.lua
    • /usr/lib/prosody/modules/mod_presence.lua
    • /usr/lib/prosody/modules/mod_privacy.lua
    • /usr/lib/prosody/modules/mod_private.lua
    • /usr/lib/prosody/modules/mod_proxy65.lua
    • /usr/lib/prosody/modules/mod_pubsub.lua
    • /usr/lib/prosody/modules/mod_register.lua
    • /usr/lib/prosody/modules/mod_roster.lua
    • /usr/lib/prosody/modules/mod_saslauth.lua
    • /usr/lib/prosody/modules/mod_storage_internal.lua
    • /usr/lib/prosody/modules/mod_storage_none.lua
    • /usr/lib/prosody/modules/mod_storage_sql.lua
    • /usr/lib/prosody/modules/mod_time.lua
    • /usr/lib/prosody/modules/mod_tls.lua
    • /usr/lib/prosody/modules/mod_uptime.lua
    • /usr/lib/prosody/modules/mod_vcard.lua
    • /usr/lib/prosody/modules/mod_version.lua
    • /usr/lib/prosody/modules/mod_watchregistrations.lua
    • /usr/lib/prosody/modules/mod_welcome.lua
    • /usr/lib/prosody/modules/sql.lib.lua
    • /usr/lib/prosody/modules/adhoc/adhoc.lib.lua
    • /usr/lib/prosody/modules/adhoc/mod_adhoc.lua
    • /usr/lib/prosody/modules/mod_s2s/mod_s2s.lua
    • /usr/lib/prosody/modules/mod_s2s/s2sout.lib.lua
    • /usr/lib/prosody/modules/muc/mod_muc.lua
    • /usr/lib/prosody/modules/muc/muc.lib.lua
    • /usr/lib/prosody/modules/storage/mod_xep0227.lua
    • /usr/lib/prosody/modules/storage/sqlbasic.lib.lua
    • /usr/lib/prosody/modules/storage/xep227store.lib.lua
    • /usr/lib/prosody/net/adns.lua
    • /usr/lib/prosody/net/connlisteners.lua
    • /usr/lib/prosody/net/dns.lua
    • /usr/lib/prosody/net/http.lua
    • /usr/lib/prosody/net/httpserver.lua
    • /usr/lib/prosody/net/server.lua
    • /usr/lib/prosody/net/server_event.lua
    • /usr/lib/prosody/net/server_select.lua
    • /usr/lib/prosody/net/http/codes.lua
    • /usr/lib/prosody/net/http/parser.lua
    • /usr/lib/prosody/net/http/server.lua
    • /usr/lib/prosody/util/adhoc.lua
    • /usr/lib/prosody/util/array.lua
    • /usr/lib/prosody/util/caps.lua
    • /usr/lib/prosody/util/dataforms.lua
    • /usr/lib/prosody/util/datamanager.lua
    • /usr/lib/prosody/util/datetime.lua
    • /usr/lib/prosody/util/debug.lua
    • /usr/lib/prosody/util/dependencies.lua
    • /usr/lib/prosody/util/encodings.so
    • /usr/lib/prosody/util/envload.lua
    • /usr/lib/prosody/util/erlparse.lua
    • /usr/lib/prosody/util/events.lua
    • /usr/lib/prosody/util/filters.lua
    • /usr/lib/prosody/util/hashes.so
    • /usr/lib/prosody/util/helpers.lua
    • /usr/lib/prosody/util/hmac.lua
    • /usr/lib/prosody/util/http.lua
    • /usr/lib/prosody/util/import.lua
    • /usr/lib/prosody/util/ip.lua
    • /usr/lib/prosody/util/iterators.lua
    • /usr/lib/prosody/util/jid.lua
    • /usr/lib/prosody/util/json.lua
    • /usr/lib/prosody/util/logger.lua
    • /usr/lib/prosody/util/multitable.lua
    • /usr/lib/prosody/util/net.so
    • /usr/lib/prosody/util/openssl.lua
    • /usr/lib/prosody/util/pluginloader.lua
    • /usr/lib/prosody/util/pposix.so
    • /usr/lib/prosody/util/prosodyctl.lua
    • /usr/lib/prosody/util/pubsub.lua
    • /usr/lib/prosody/util/rfc6724.lua
    • /usr/lib/prosody/util/sasl.lua
    • /usr/lib/prosody/util/sasl_cyrus.lua
    • /usr/lib/prosody/util/serialization.lua
    • /usr/lib/prosody/util/set.lua
    • /usr/lib/prosody/util/signal.so
    • /usr/lib/prosody/util/sql.lua
    • /usr/lib/prosody/util/stanza.lua
    • /usr/lib/prosody/util/template.lua
    • /usr/lib/prosody/util/termcolours.lua
    • /usr/lib/prosody/util/throttle.lua
    • /usr/lib/prosody/util/timer.lua
    • /usr/lib/prosody/util/uuid.lua
    • /usr/lib/prosody/util/watchdog.lua
    • /usr/lib/prosody/util/x509.lua
    • /usr/lib/prosody/util/xml.lua
    • /usr/lib/prosody/util/xmppstream.lua
    • /usr/lib/prosody/util/sasl/anonymous.lua
    • /usr/lib/prosody/util/sasl/digest-md5.lua
    • /usr/lib/prosody/util/sasl/plain.lua
    • /usr/lib/prosody/util/sasl/scram.lua
    • /usr/share/doc/prosody/changelog.Debian.gz
    • /usr/share/doc/prosody/copyright
    • /usr/share/doc/prosody/doc/coding_style.txt
    • /usr/share/doc/prosody/doc/names.txt
    • /usr/share/doc/prosody/doc/roster_format.txt
    • /usr/share/doc/prosody/doc/session.txt
    • /usr/share/doc/prosody/doc/stanza.txt
    • /usr/share/doc/prosody/doc/stanza_routing.txt
    • /usr/share/lintian/overrides/prosody
    • /usr/share/man/man1/prosodyctl.1.gz
    • /usr/share/man/man8/ejabberd2prosody.8.gz
    • /usr/share/man/man8/prosody-migrator.8.gz
    • /usr/share/man/man8/prosody.8.gz

    Changelog

    2016-01-28 - Sergei Golovan <sgolovan@debian.org> prosody (0.9.10-1) unstable; urgency=medium * New upstream release fixing CVE-2016-0756 and a regression caused by the previous fix of CVE-2016-1232. * Turn the soft dependency on lua-sec to a hard one because using TLS in XMPP is essentially mandatory now (closes: #734678).

    2016-01-08 - Enrico Tassi <gareuselesinge@debian.org> prosody (0.9.9-1) unstable; urgency=medium * New upstream release fixing CVE-2016-1231 and CVE-2016-1232

    2015-06-02 - Sergei Golovan <sgolovan@debian.org> prosody (0.9.8-1) unstable; urgency=medium * New upstream release. * Remove the patch which validates UTF-8 strings before calling libidn because it's already applied upstream: - 0005-Validate-UTF-8-strings-before-calling-libidn.patch * Remove from the package two patches already removed from the patch series: - 0005-Disable-LuaExpat-buffering-if-possible.patch - 0006-Also-disable-CharacterData-merging-after-stream-rest.patch * Do not reload prosody configuration after its log is rotated if the daemon is not actually running (closes: #763658). * Rename the default snakeoil localhost certificate to localhost.crt to match its name in the config file (closes: #748721). * Apply upstream patch which fixes CNAME DNS record resolution (closes: #787070): - 0007-Fix-CNAME-DNS-lookup.patch * Remove quilt from the package build dependencies. * Bump the standards version to 3.9.6.

    2015-03-28 - Enrico Tassi <gareuselesinge@debian.org> prosody (0.9.7-2) unstable; urgency=high * Apply upstream patch to validate UTF-8 strings before calling libidn (related to CVE-2015-2059)

    2014-10-25 - Enrico Tassi <gareuselesinge@debian.org> prosody (0.9.7-1) unstable; urgency=medium * New upstream release, really a minor fix over 0.9.6

    2014-10-24 - Enrico Tassi <gareuselesinge@debian.org> prosody (0.9.6-1) unstable; urgency=medium * New upstream release * Remove patches integrate upstream: - 0005-Disable-LuaExpat-buffering-if-possible.patch - 0006-Also-disable-CharacterData-merging-after-stream-rest.patch

    2014-04-05 - Enrico Tassi <gareuselesinge@debian.org> prosody (0.9.4-1) unstable; urgency=high * New upstream release * Additional patches fixing a DOS: - 0005-Disable-LuaExpat-buffering-if-possible.patch - 0006-Also-disable-CharacterData-merging-after-stream-rest.patch

    2014-03-14 - Enrico Tassi <gareuselesinge@debian.org> prosody (0.9.3-1) unstable; urgency=medium * New upstream release * Fix ejabberd2prosody path (LP: #1109051) * Add Provides: xmpp-server (Closes: #737761)

    2014-01-10 - Enrico Tassi <gareuselesinge@debian.org> prosody (0.9.2-1) unstable; urgency=medium * New upstream release (Closes: #737260) * Patches refreshed * Copyright rewritten following format 1.0

    2013-08-16 - Enrico Tassi <gareuselesinge@debian.org> prosody (0.9.1-1) unstable; urgency=low * New upstream release including ipv6 support (Closes: #721970, #562161) * Packaging moved to git (still collab maint) * Add Vcs-* fields to control file * Standards-Version bumped to 3.9.4, no changes needed * Add delaycompress to logrotate file (Closes: #718703) * Allow user to override IO/CPU scheduler and nice level using /etc/default/prosody, as the upstream does * Fix LSB init info adding $local_fs as a dependency * Align package description with the one used by the upstream

    Advertisement
    Advertisement